## lomiri-push-service 0.100.0

=== exec-tool/Makefile ===
INSTALL ?= install
PKG_CONFIG ?= pkg-config

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
prefix ?= /usr
libdir ?= $(prefix)/lib/$(DEB_HOST_MULTIARCH)

XCPPFLAGS := -DG_LOG_DOMAIN=\"lomiri-push-service-exec-tool\" $(shell pkg-config --cflags json-glib-1.0 gobject-2.0 gio-2.0 lomiri-app-launch-0)
XLDLIBS := $(shell pkg-config --libs json-glib-1.0 gobject-2.0 gio-2.0 lomiri-app-launch-0)

all: exec-tool exec-tool-test

check: exec-tool-test
	    env G_TEST_SRCDIR="$(CURDIR)" \
	    G_TEST_BUILDDIR="$(CURDIR)"   \
	    G_DEBUG=gc-friendly           \
	    MALLOC_CHECK_=2               \
	    MALLOC_PERTURB_=$$(($${RANDOM:-256} % 256)) \
	    ./exec-tool-test

.PHONY: all check clean install

exec-tool: CPPFLAGS += $(XCPPFLAGS)
exec-tool: CFLAGS += -std=c99 -pedantic -Wall -Wextra -g
exec-tool: LDLIBS += $(XLDLIBS)
exec-tool: find-helper.o

exec-tool-test: CPPFLAGS += $(XCPPFLAGS)
exec-tool-test: CFLAGS += -std=c99 -pedantic -Wall -Wextra -g
exec-tool-test: LDLIBS += $(XLDLIBS)
exec-tool-test: find-helper.o

install: all
	$(INSTALL) -m0755 -D exec-tool $(DESTDIR)$(libdir)/lomiri-app-launch/push-helper

clean:
	-rm -f exec-tool exec-tool-test *.o
