=== debian/changelog ===
lomiri-push-service (0.100.0-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Apr 2025 15:35:41 +0200

lomiri-push-service (0.100.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1102200).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Apr 2025 13:18:52 +0200
