=== docs/Makefile ===
all: *txt *svg
	rst2html --link-stylesheet highlevel.txt highlevel.html
	rst2html --link-stylesheet lowlevel.txt lowlevel.html
