=== exec-tool/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 exec-tool-test: find-helper.o
 
 install: all
-	$(INSTALL) -m0755 -D exec-tool $(DESTDIR)$(libdir)/lomiri-app-launch/push-helper
+	$(INSTALL) -m0755 -D exec-tool $(DESTDIR)$(libdir)/lomiri-app-launch/push-helper/exec-tool
 
 clean:
 	-rm -f exec-tool exec-tool-test *.o
