=== debian/changelog ===
lomiri-push-service (0.100.1-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 14:24:23 +0200

lomiri-push-service (0.100.1-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release:
    - bus/, client/: fix/skip tests depending on DBus being available/mocked.
    - exec-tool/Makefile: fix install path of exec-tool.
    - service/{service,postal}: fix signatures of functions exported on DBus.
    - bus/endpoint: also make() nested map.
    - bus/endpoint: make WatchMethod() correctly export subtree.
    - bus/endpoint: add missing loop in handleSignals().
    - Make lomiri-push-service DBus-activatable to satisfy endpoint.go.
    - bus/endpoint: correct argument list of ListActivatableNames.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2025 09:41:48 +0200
