=== debian/control ===
Source: lomiri-push-service
Section: net
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-golang,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-google-uuid-dev,
 golang-any,
 golang-dbus-dev,
 golang-github-adrg-xdg-dev,
 golang-golang-x-net-dev,
 golang-gopkg-check.v1-dev,
 libclick-dev,
 libdbus-1-dev,
 libglib2.0-dev,
 libjson-glib-dev,
 libmessaging-menu-dev,
 liblomiri-app-launch-dev,
 liblomiri-url-dispatcher-dev,
 python3,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-push-service
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-push-service.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-push-service
XS-Go-Import-Path: gitlab.com/ubports/development/core/lomiri-push-service

Package: lomiri-push-service
Architecture: any
Multi-Arch: foreign
Depends:
 lomiri-account-polld,
 dbus,
 lomiri-url-dispatcher,
 network-manager,
 qml-module-lomiri-notifications | notification-daemon,
 python3:any,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Lomiri Push Notifications client-side daemon
 Protocol, client, and server code for Lomiri Push Notifications.
 .
 The Lomiri Push Notifications client-side daemon.

Package: golang-gitlab-ubports-development-core-lomiri-push-service-dev
Section: golang
Architecture: all
Depends:
 ${misc:Depends},
Description: Lomiri Push Notifications client-side daemon development package
 Protocol, client, and server code for Lomiri Push Notifications.
 .
 The Lomiri Push Notifications client-side daemon library.
 .
 This package contains the Go module's source code.

Package: lomiri-push-server
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Description: Lomiri Push Notifications server
 Protocol, client, and server code for Lomiri Push Notifications.
 .
 The Lomiri Push Notifications server.
