=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,8 @@
 export LOMIRI_PUSH_TEST_RESOURCES_ROOT := $(CURDIR)
 export GODEBUG := cgocheck=0
 
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-  PROJECT_DH_OPTIONS += --with migrations
-endif
-
 %:
-	dh $@ --builddirectory=_build $(PROJECT_DH_OPTIONS)
+	dh $@ --builddirectory=_build
 
 override_dh_auto_configure:
 	dh_auto_configure
